class Person:
    def __init__(self, name, age):
        self.name = name
        self.age = age
    def tell_me_name(self):
        print("My name is ", self.name)
    def tell_me_age(self):
        return self.age

my_person = Person("John Doe", 50)
my_person.tell_me_name()  # prints My name is John Doe
my_person.age = 7
print(my_person.tell_me_age())  # prints 7
del my_person.name  # deletes property
my_person.tell_me_name()  # error: AttributeError: 'Person' object has no attribute 'name'
del my_person  # delete object
my_person.tell_me_name()  # error: NameError: name 'my_person' is not defined