import matplotlib.pyplot as plt
import numpy as np


np.random.seed(111)  # set random seed
points = 2000000  # set number of points
bins = 50  # set number of bins
x = np.random.randn(points)  # prepare data sampled from normal distribution
plt.hist(x, bins=bins, density=False)  # plot histogram, y has count scale
plt.title("Histogram")  # set title
plt.savefig("histogram.png", dpi=300)
plt.show()  # show window with histogram