import matplotlib.pyplot as plt

labels = 'label1', 'label2', 'label3', 'label4'
sizes = [10.5, 24.5, 17, 20]
# prepare data
plt.gcf().canvas.set_window_title('Labels pie graph')
# set the window title
plt.pie(sizes, labels=labels, autopct='%1.2f%%',
        shadow=False, startangle=30)
# plot pie chart with percentage values (2 decimals shown), rotated for 30 degrees
plt.axis('equal')  # to make pie circular
plt.tight_layout()  # remove extra spaces
plt.savefig('pie_chart.jpg', dpi=600)  # safe graph as jpg with 600 dpi
plt.show()  # show window with graph